• If this is your first visit, you will have to register before you can post. To view messages, please scroll below and select the forum that you would like to visits. Questions? Be sure to check out the Forum FAQ.

Announcement

Collapse
No announcement yet.

Partner 728x90

Collapse

NT7 and NT8 CliSecure Conflict?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • pmaglio
    replied
    Same here ; installing agile.net produces errors compiling on N7 and reinstalling clisecure produce errors compiling on N8.
    Looks like just reinstalling the needed version is enough, so we can skip the uninstall process.
    Very annoying.

    Leave a comment:


  • neoikon
    replied
    Just confirming this is still an issue, using the latest versions of NT7 and NT8 and latest versions of CliSecure/Agile.NET

    I just ran into this issue today...

    Leave a comment:


  • NinjaTrader_DaveI
    replied
    We have not heard any updates from SecureTeam on this matter as yet, but we continue to monitor for a solution in the future.

    Leave a comment:


  • bltdavid
    replied
    Any new developments on this issue?

    Leave a comment:


  • NinjaTrader_DaveI
    replied
    The link seems to be working on my end. Have you tried at different times, and with different browsers? Have you tried clearing your browser cache? Are you receiving any meaningful error messages in your browser?

    Leave a comment:


  • happytrader4268
    replied
    the CliSecure link provided by NinjaTrader seem like not working at this moment

    the CliSecure link provided by NinjaTrader seem like not working at this moment
    , anyone also face this issues?

    http://www.secureteam.net/Ninja-Net-...r-Pricing.aspx

    Leave a comment:


  • NinjaTrader_Dierk
    replied
    After further consultation with SecureTeam we learned that unfortunately you cannot get CliSecure and AgileGotNet both working on the same machine.

    This means you needed to:
    - uninstall both CliSecure and AgileDotNet
    - install the one you needed for your actual protection process
    - repeat the procedure in case you needed to switch

    I filed a request for an implementation change at SecureTeam to address this limitation.

    I apologize for any inconvenience resulting from this issue.

    Leave a comment:


  • NinjaTrader_Matthew
    replied
    We're working with SecureTeam with the information you have provided and will update this thread when we have more information - Thank you.

    Leave a comment:


  • InteRadek
    replied
    Hi,
    here are the steps I did:
    1. Uninstall both CliSecure and Agile.NET

    2. Install only CliSecure in default directory: C:\Program Files(x86)\SecureTeam\
    Status:
    NT7 - export OK
    NT8 - export not working (as expected)

    3. Install Agile.NET in different directory: C:\Program Files(x86)\SecureTeam\Agile.NET\
    Status:
    NT7 - Error in export process: C:\Program Files(x86)\SecureTeam\Agile.NET\\CliSecure.Console .exe
    NT8 - export OK

    4. Install CliSecure again in default directory: C:\Program Files(x86)\SecureTeam\
    NT7 - export OK
    NT8 - Error occured protecting your assembly: C:\Program Files(x86)\SecureTeam\\AgileDotNet.Console.exe

    So as you see, installation of second program modifies NT entry of the first program no matter in which order or which directory they are installed in. How can this be fix?

    Leave a comment:


  • NinjaTrader_ZacharyG
    replied
    Hello InteRadek,

    After obtaining additional information from SecureTeam, please follow the steps below:

    Please uninstall both CliSecure and Agile.NET from your computer and delete their folders from Program Files (x86).

    Once you have uninstalled both, please install CliSecure to the default directory provided by the installer (Program Files (x86)\SecureTeam) and Agile.NET to a different folder.

    Please, let us know if this does not resolve the matter.

    Leave a comment:


  • InteRadek
    replied
    Hello,
    I've tried to bypass the problem by installing CliSecure and Agile.NET in different folders:
    1. CliSecure - C:\Program Files(x86)\SecureTeam\CliSecure\
    2. Agile.NET - C:\Program Files(x86)\SecureTeam\Agile.NET\
    It is a lot better, because now I can run CliSecure and Agile.NET GUI at the same time. But when I tried to export strategy in NT7, I get an error:
    Error in export process: C:\Program Files(x86)\SecureTeam\Agile.NET\\CliSecure.Console .exe
    So obviously NT7 is now looking for the EXE in the wrong directory after installation of Agile.NET. Where can I manually change it in NT7 configuration?
    Last edited by InteRadek; 10-30-2015, 03:01 PM.

    Leave a comment:


  • Raditz
    replied
    Does not seem to be possible, I run NT8 on VM

    Leave a comment:


  • sbgtrading
    replied
    Hi Raditz,

    Did you ever get an answer to this question from CliSecure? Can we run both 5.3 and 6.3?

    Leave a comment:


  • NinjaTrader_ZacharyG
    replied
    Hello Raditz,

    Thank you for your inquiry.

    NinjaTrader 7 is only compatible with version 5.3.

    I am not sure if it is possible to have both versions installed on the same computer at the same time. I recommend checking with SecureTeam to see if this is allowed.

    Alternatively, you may be able to run a virtual machine on your PC that has the different version installed.

    Please, let us know if we may be of further assistance.

    Leave a comment:


  • Raditz
    started a topic NT7 and NT8 CliSecure Conflict?

    NT7 and NT8 CliSecure Conflict?

    Had it working for NT7 for years with version CliSecure 5.3

    Today installed the trial product for NT8 http://secureteam.net/Agile-for-NT-Pricing.aspx (Still has 14 days in trial license) version 6.3

    When try to protect code from NT7 get the attached error?
    Any idea how to get it back to work in NT7 (And if possible keep it working with NT8)

    Update
    Reinstalled CliSecure 5.3 for NT7 and NT7 export work fine but NT8 export fail
    Seem CliSecure is not backward compatible

    Any way to have both installed on the same machine, I want to start deliver NT8 products but still need to update NT7 products.
    Attached Files
    Last edited by Raditz; 10-19-2015, 11:31 PM.

Latest Posts

Collapse

Topics Statistics Last Post
Started by lunardiplomacy, Today, 08:23 AM
3 responses
9 views
0 likes
Last Post lunardiplomacy  
Started by Gerik, Today, 06:36 AM
1 response
6 views
0 likes
Last Post NinjaTrader_Kate  
Started by swcooke, Yesterday, 03:31 PM
3 responses
27 views
0 likes
Last Post MojoJojo  
Started by swcooke, Yesterday, 04:29 PM
1 response
9 views
0 likes
Last Post NinjaTrader_Jesse  
Started by ttodua, Today, 06:51 AM
0 responses
5 views
0 likes
Last Post ttodua
by ttodua
 
Working...
X